[Video]
	; This file contains some startup options for NetRunner related to SDL video.
	; If this file does not need to exist, NetRunner will use defaults.

	; ---------------------------------------------------------------------------

	upscale = true

	; ^^^^^^^^^^^^
	; If upscaling is turned on, NetRunner will upscale the resolution of the
	; terminal.  This requires a minimum of window size of 1280x960 so you must
	; have a resolution large enough to support the large size.

	; Upscaling will significantly improve the quality of the text, but will
	; also be substancially slower as more calculations need to occur.
	;
	; You can also use ALT-F to change video setting while you are connected to
	; a system from within the terminal.  Find what works for you.  But if you
	; have the hardware to run it, upscaling gives the best looking ANSI terminal
	; emulation around, second to none.

	; If for some reason your SDL is not compiled/installed correctly, it make
	; kick into software rendering.  If this happens, the terminal will appear
	; to be very slow.  Otherwise, as fast as anything else when not upscaling

	; ---------------------------------------------------------------------------

	filter = 2

	; ^^^^^^^^
	; Sets the filtering type.  Nearest pixel will be the sharpest text, but
	; using liner or anisotropic will blend the text better, at the expensive
	; of some sharpness and speed.
	;
	; 0 = nearest pixel (most vibrant and clear and natural, but more jagged)
	; 1 = linear filter (smooth out jaggies, but may appear blurry - openGL/D3D)
	; 2 = anisotropic   (smooth out jaggies, but may appear blurry - D3D)

	; ---------------------------------------------------------------------------

	win_size = 0

	; ^^^^^^^^^^
	; Window size during start up:
	;
	; 0 = Use a 1:1 scale for initial startup.  This option will make the window
	;     start in window size of 640x400 if upscaling is off, or 1280x800 if
	;     if upscale is turned on.
	; 1 = Max scale.  This will attempt to figure out the biggest size the window
	;     can be on your display without scaling out of ratio.  This is most likely
	;     the best choice for most people.
	; 2 = full screen.  start in full screen mode

	; The window can be freely resized and NetRunner will scale the screen to
	; fit the window, but the results may not always be good because the screen you
	; pick may not be an exact ratio.  The best way to resize is to use ALT+ENTER
	; to allow NetRunner to calculate the window sizes to exact ratios, ultimately
	; going into full screen mode when it can't get any larger as a window.  Turning
	; on one of the filtering options can make a huge difference in quality when
	; adjusting to various sizes.

	letterbox = true

	; ^^^^^^^^^^^^^^
	; If this is true, NetRunner will scale using letterboxes (deadspace) on the
	; right and left side of the screens in order to keep a DOS aspect ratio.  If
	; false, NetRunner will scale to the full screen of the current resolution,
	; stretching the screen to the resolution of the NetRunner window or full
	; screen size.

	smooth_scroll = 0
	
	;^^^^^^^^^^^^^^^^
	; If smooth scroll is 0, NetRunner will do a traditional line by line scroll
	; when scrolling the screen.  If this is set to 1, NetRunner will attempt to
	; throttle ANSI scrollers a bit and smooth out the scrolling.  This option
	; can have two values other than 0:
	;
	;	0 = Perform traditional line by line scrolling
	;	1 = Throttle and smooth scrolling ANSIs (1 being the smoothest)
	;	2 = Throttle and smooth scrolling ANSIs (2 being less smooth)
	;
	; This option tends to perform best on higher end systems, but may be worth
	; experimenting with.  If you do try it, try setting it to 1 first and then
	; 2 only if 1 isn't working well for you.  If they both suck, set it back to
	; 0 for the traditional scrolling prior to beta 17.

	fps_limit=30

	;^^^^^^^^^^^
	; This value sets the maximum number of frames per second that NetRunner will
	; attempt, meaning it will try to "redraw" the screen this many times per
	; second.  This can be between 10 and 60, with 60 being the upper limit that
	; the human eye can distinguish.  For lower-end systems, it may be beneficial
	; to set this to 20 or 30, but higher end systems can get away with 60.  If
	; the system is capable of more than the configured FPS, NetRunner will limit
	; the updates as to not steal any more CPU/GPU cycles than it needs.
